% Section 4.2(a) Show all single trial data for artifact rejection
%
% 2010/02/25 Okito Yamashita
% 2010/08/23 Okito Yamashita 
%
% Copyright (c) 2011, ATR Okito Yamashita, All rights reserved.

fprintf('~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~\n');
fprintf(' View all single trial EEG data for visual inspection. \n');
fprintf('~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~\n');



clear
close all


load('DATA/trialsData.mat', 'data3', 'status3', 'time_ms', 'trialLabel', 'runLabel')

col.ixchan = {[65:68]};
col.color = {'r'};
savefig = 0;
pausetime = 0.05;

%
% trial data in time domain 
%
pos=get(0, 'screensize');
figure('position', [0 0 pos(3)*0.50 pos(4)*0.99]);
for tr = 1 : 210

    multiplot4(gca, time_ms, data3(:,:,tr), [-20 20], col, 1.5, 1, 0)
    title(num2str(tr))
    pause(pausetime);
    if savefig
    print(gcf, '-dpng', [num2str(tr, '%03d'), '.png']);
    end
end


