%
% 4.2 (c)  show classification results by bar plot
%
% 2011/03/17 O.Yamashita
%
% Copyright (c) 2011, ATR Okito Yamashita, All rights reserved.

fprintf('~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~\n');
fprintf(' View classification results.                            \n');
fprintf('~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~\n');


clear all
close all


% Parameter Setting

loadFileName = 'DATA/resultClassification.mat';

%
% Main 
%

load(loadFileName);


corte2d = reshape(corte, [size(corte,1) size(corte,2)*size(corte,3)]);
cortr2d = reshape(cortr, [size(cortr,1) size(cortr,2)*size(cortr,3)]);

figure
bar([mean(cortr2d,2) mean(corte2d,2)]);
axis([0 7 50 100]);
set(gca, 'xticklabel', {'Gauss 3ch', 'SVM 3ch', 'SLR 3ch', 'Gauss 64ch', 'SVM 64ch', 'SLR 64ch'});
legend('Training', 'Test')
ylabel('Correct Percent %');
title('Result')