function	y = get_status_mask(x, status_zero)
% get status value by masking irrelevant bit
%  y = get_status_mask(x)
%  y = get_status_mask(x, status_zero)
%
%Trigger.Task1       = 12;    %  00110000  NIRS=1 
%Trigger.Task2       = 20;    %  00101000  NIRS=2
%Trigger.Task3       = 28;    %  00111000  NIRS=3
%Trigger.Task4       = 36;    %  00100100  NIRS=4
%
% dec2bin(d) Adi\o
% bin2dec(binarystr)AoCi0io
% C=bitand(A,B)A2ArbgP_
%
% Matlab binary expression
% Left-> higher bit Right-> lower bit
%  12 =   1100
%  20 =  10100
%  28 =  11100
%  36 = 100100
% mask= 111100
%

% Mask Bit
%mask_bit = '111100';
mask_bit = '11111111';
mask_val = bin2dec(mask_bit);

if nargin==1,
	status_zero = - 6751232;
end

x = x - status_zero;
y = bitand(x, mask_val);

return

%y = zeros(size(x));
%
%for n=1:length(x)
%	y(n) = bitand(x(n),mask_val);
%end
