function ploteeg(time,eeg,strtitle,savefig)
%
% Copyright (c) 2011, ATR Okito Yamashita, All rights reserved.

  
if nargin < 4
    savefig = 0;
end
if nargin < 3
    strtitle = [];
end

plot(time, eeg);
xlabel('Time (sec.)');
ylabel('EEG (micro volt)');
title(strtitle);

if savefig
    print(gcf, '-dpng', ['ploteeg_' strtitle '.png'])
end
